View Issue Details

IDProjectCategoryView StatusLast Update
0001565Сервисный центр[All Projects] Generalpublic2019-10-21 09:27
ReporterruslanAssigned Tobarry 
PriorityurgentSeverityfeatureReproducibilityalways
Status feedbackResolutionreopened 
PlatformКСАП ГранитOSWindowsOS VersionXP Prof
Summary0001565: +СЦ- Выгрузка данных из модуля СЦ в файл формата *.xls для отчета Delonghi- доработка
Description1. При выгрузке в файл сортировку записей сделать так, чтоб работы из одного ремонта находились на соседних строчках. Сейчас разбросаны по файлу(см. рисунок)
2. При выгрузке в файл в поле Дата возврата изделия из ремонта (колонка O) писать значение поля Дата окончания ремонта из формы Ремонта.
3. В поле Вид документа в форме Ремонта закладка Дополнительно в список для выбора добавить значение "Док-т не предоставлен"
4. В поле Сервисный центр в форме Ремонта закладка Дополнительно сделать список для выбора предустановленных значений аналогично полю Вид документа с пока одним значением Казкова Кава. Запоминать занчение поля по пользователю
5. При выгрузке в файл писать значение поля № Ремонта в колонку AS в конце файла.
6. Значение поля поле Страна в форме Ремонта закладка Дополнительно запоминать по пользователю.
TagsNo tags attached.

Relationships

related to 0001539 resolvedbarry +СЦ- Выгрузка данных из модуля СЦ в файл формата *.xls для отчета Delonghi 

Activities

ruslan

2019-10-06 15:00

manager  

Exel_Delonghi.jpg (202,944 bytes)
Exel_Delonghi.jpg (202,944 bytes)

ruslan

2019-10-06 17:57

manager   ~0004202

Проверь, Дата получения в ремонт в файле колонка N должна брать из даты Принято в ремонте, сейчас Алексей говорит берет из Даты начала ремонта

barry

2019-10-11 12:23

administrator   ~0004203

scen32,zip

ruslan

2019-10-14 21:51

manager   ~0004204

>> 5. При выгрузке в файл писать значение поля № Ремонта в колонку AS в конце файла.
Вот это у меня не появилось - номера ремонта в колоне AS нет
И странный эффект какой-то - сделал ремонт с двумя услугами без запчастей - в поля Spare Part№2 попала цена з/ч в евро 692 - откуда не понятно... сделаю еще несколько ремонтов, если воспроизведется - пришлю тебе базу

barry

2019-10-21 09:22

administrator   ~0004205

да, оказывается там получается сдвиг неправильный если меньше 5 запчастей, надо скипать колонки... посмотрю

barry

2019-10-21 09:27

administrator   ~0004206

scen32.zip

Issue History

Date Modified Username Field Change
2019-10-06 15:00 ruslan New Issue
2019-10-06 15:00 ruslan File Added: Exel_Delonghi.jpg
2019-10-06 15:01 ruslan Relationship added related to 0001539
2019-10-06 15:08 ruslan Description Updated View Revisions
2019-10-06 17:57 ruslan Note Added: 0004202
2019-10-11 12:23 barry Assigned To => barry
2019-10-11 12:23 barry Status new => resolved
2019-10-11 12:23 barry Resolution open => fixed
2019-10-11 12:23 barry Note Added: 0004203
2019-10-14 21:51 ruslan Status resolved => feedback
2019-10-14 21:51 ruslan Resolution fixed => reopened
2019-10-14 21:51 ruslan Note Added: 0004204
2019-10-21 09:22 barry Note Added: 0004205
2019-10-21 09:27 barry Note Added: 0004206